%define upstream_name    Safe
%define upstream_version 2.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Restrict eval'd code to safe subset of ops
Source0:    http://www.cpan.org/modules/by-module/Safe/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The Safe extension module allows the creation of compartments in which perl
code can be evaluated. Each compartment has

* a new namespace

  The "root" of the namespace (i.e. "main::") is changed to a different
  package and code evaluated in the compartment cannot refer to variables
  outside this namespace, even with run-time glob lookups and other tricks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Dec 07 2011 kharec <kharec> 2.300.0-1.mga2
+ Revision: 178221
- update to 2.30

* Fri Feb 18 2011 jquelin <jquelin> 2.290.0-3.mga1
+ Revision: 53657
- rebuild

* Tue Jan 18 2011 blino <blino> 2.290.0-2.mga1
+ Revision: 23271
- rebuild for new perl

* Sun Jan 09 2011 jquelin <jquelin> 2.290.0-1.mga1
+ Revision: 4290
- imported package perl-Safe

